*{
    box-sizing: border-box;
}

body {
    background-color: rgb(225, 230, 232);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 20px;
}
article{
    width: 32%;
    font-size: 1.2em;
}
h2{
    width: 100%;
    color: rgb(111, 106, 106);
    text-shadow: 6px 6px 10px black;
}
a{
    text-shadow: 5px 5px 5px purple;
}
p{
    text-align: justify;
}
img[alt="g1"]:hover{
    transform: rotateX(360deg);
    transition: 3s;

}
img[alt="g2"]:hover{
    transform: rotateY(360deg);
    transition: 3s;
    filter: drop-shadow(5px 5px 5px red);

}
img[alt="g3"]:hover{
    transform: rotateZ(360deg);
    filter: opacity(0%); 
    transition: 3s;
}
img[alt="g3"]:active{
    transform: rotateZ(360deg);
    transition: 3s;
}
img{
    width: 100%;

}